Nie jesteś zalogowany.
Jeśli nie posiadasz konta, zarejestruj je już teraz! Pozwoli Ci ono w pełni korzystać z naszego serwisu. Spamerom dziękujemy!

Ogłoszenie

Prosimy o pomoc dla małej Julki — przekaż 1% podatku na Fundację Dzieciom „Zdążyć z Pomocą”.
Więcej informacji na dug.net.pl/pomagamy/.

#1 2018-10-01 00:37:36

skullman
Użytkownik
Zarejestrowany: 2010-04-08

Jak zmienić GSSAPI

Chcę sobie zainstalować Enlightenment na BSD, configure krzyczy, że nie ma libjpeg więc próbuję zainstalować libjpeg-turbo i dostaję takie oto cudo:

Kod:

===> cmake-3.12.2 depends on shared library library: libcurl.so - not found
===> curl-7.61.1 You are using OpenSSL from ports and have selected GSSAPI from base, please select another GSSAPI value.
***Error code 1

Coś tam znalazłem na forum FreeBSD na ten temat ale to żadne konkretne rozwiązanie problemu albo ja tych dywagacji i rozważań po prostu nie rozumiem. Może mi ktoś podpowiedzieć o co w tym wszystkim chodzi bo już od samego rekompilowania pakietów to mnie elektrownia puści z torbami.

Offline

 

#2 2018-10-03 21:32:27

Yampress
Imperator
Zarejestrowany: 2007-10-18

Re: Jak zmienić GSSAPI

po co kompilować sobie  życie?  . Teraz są przecież paczki... I po aktualizacji, aktualizuje zawsze do najświeższych wersji...

https://www.freebsd.org/cgi/ports.cgi?query=Enlight … amp;stype=all

root@HardenedBSD:/# pkg search enlightenment
enlightenment-0.22.4,2         Artistic X window manager
root@HardenedBSD:/#

Co do tego co pytasz. Podstawowe jest w base systemie. Jeśli nie chcesz z base musisz zainstalować z portów/paczek
https://www.freebsd.org/doc/en/books/porters-handbook/uses-gssapi.html
https://forums.freebsd.org/threads/gssapi-preventin … -ports.58805/

Offline

 

#3 2018-10-03 23:17:02

skullman
Użytkownik
Zarejestrowany: 2010-04-08

Re: Jak zmienić GSSAPI

O, a ja mam 0.21.10. Ale widzę, że est już 11.2, nawet nie zauważyłem, kiedy wyszła nowsza wersja a to już parę miechów. Dzięki za info.
[edit]
Ja chyba nie ogarniam tego systemu, w porównaniu z linuksem jakiś strasznie zawikłany albo przynajmniej tak samo pokręcony jak Fedora. Mam po aktualizacji tą samą wersję, odświeżyłem chyba wszystkimi możliwymi narzędziami i nadal to samo, 0.21.10.

Ostatnio edytowany przez skullman (2018-10-04 01:21:40)

Offline

 

#4 2018-10-04 19:17:42

Yampress
Imperator
Zarejestrowany: 2007-10-18

Re: Jak zmienić GSSAPI

Fbsd jest prostsze od linuxa..
Jeśli bawisz sie w desktop nie ma sensu kompilować czegokolwiek...

Kod:

 pkg install nazwa-paki

i wszystko.
Na dzisiejszych szybkich procesorach  nie zauważa się różnicy w szybkości  działania programów kompilowanych z portów, a instalowanych z paczek.

Tylko ja nie mam FreeBSD, a fork  FreeBSD z łatami bezpieczeństwa pod serwerki...
https://hardenedbsd.org/


i tu mogą sie róznić wersje paczek/porów pomiedzy tymi  systemami... Musisz troche poczekać lub  spróbować  instalować z repozytorium "latest" ( przestawić pkg aby stad brał najswieższe pakiety. Tam będzie najnowsza wersja. w to repo szybciej wchodza programy niz w repo  standardowe



W portach już jest  najnowsza wersja w FreeBSD
https://www.freshports.org/search.php?query=enlight … seinsensitive

wkrótce powinna być w paczkach...
Możesz ewentualnie zrobić tak.
Zainstalować środowisko z paczek, bedziesz miał wtedy poinstalowane wszystkie zależności , a potem aktualizować środowisko  kompilując z portów do najnowszej wersji portu., bo widze tak prosto sam nie przejdziezs tej kompilacji.. :P ale aktualizacja tylko tego jednego portu/paczki

Offline

 

#5 2018-10-04 23:09:54

skullman
Użytkownik
Zarejestrowany: 2010-04-08

Re: Jak zmienić GSSAPI

Yampress napisał(-a):

Fbsd jest prostsze od linuxa..

Miałem kiedyś Gentoo, i jedno i drugie ze źródeł i jak na mój gust nie jest. W Gentoo się dość szybko połapałem a BSD to ma jakąś pokrętną logikę.

Nie wiedziałem, że mają taki bajerek jak repo "latest" bo na stronie projektu Enlightenment jest napisane, żeby kompilować z ich źródełek bo BSD jest mocno do tyłu. Jak napisali tak chciałem zrobić ale dodałem to magiczne repo i już mam to co chciałem więc nie będę nic kompilował. Dzięki, oszczędziłeś mi wiele prądu i nerwów.

Ostatnio edytowany przez skullman (2018-10-04 23:17:08)

Offline

 

#6 2018-10-05 21:17:15

Yampress
Imperator
Zarejestrowany: 2007-10-18

Re: Jak zmienić GSSAPI

duzo rzeczy jeszcze nie wiesz. no bo przeciez systemu nie znasz.
chodzi o róznice po jakim czasie pakiety wpadaja do quarterly a do latest.
a to jest takie troche niestabilne repo... ale działa

a tak w ogole po co kompilować sobie  życie kiedy sa paczki? Paczki sa budowane na standardowej konfiguracji. Wiec jeśli potrzebujesz innej/dodatkowej funkcjonalnosci od programu to wtedy kompilujesz. Jesli nie to nawet nie bo po co? tracic czas i energie na kompilacje kiedy zawsze jest ryzyko ze cos pojndzie kiedys nie tak i poswiecisz kupe czasu aby 'wyprowadzić' kompilacje do konca...


root@HardenedBSD:~ # whereis enlightenment
enlightenment: /usr/ports/x11-wm/enlightenment
root@HardenedBSD:~ # cd  /usr/ports/x11-wm/enlightenment
root@HardenedBSD:/usr/ports/x11-wm/enlightenment # make showconfig
===> The following configuration options are available for enlightenment-0.22.3,2:
     NLS=on: Native Language Support
====> Audio mixer support
     ALSA=on: ALSA audio architecture support
     PULSEAUDIO=off: PulseAudio sound server support
====> Options available for the group HARDENING
     PIE=on: Build as Position Independent Executable
     RELRO=on: Build with Relocation Read-Only + BIND_NOW
     SAFESTACK=off: Build with SafeStack
===> Use 'make config' to modify these settings
root@HardenedBSD:/usr/ports/x11-wm/enlightenment #

(we FreeBSD oczywiscie nie masz flag z grupy "HARDENING" jedynie...)

]:>

A czego nie rozumiesz we FBSD?
w G jest kilka wersji dasnego poru, we FBSD jedna... nie ma wiec takiej dobrej " dopasywalnosci wersji portów podczas kompilacji

Offline

 

#7 2018-10-05 22:11:36

Jacekalex
Podobno człowiek...;)
Skąd: /dev/urandom
Zarejestrowany: 2008-01-07

Re: Jak zmienić GSSAPI

Yampress napisał(-a):

.....

A czego nie rozumiesz we FBSD?
w G jest kilka wersji dasnego poru, we FBSD jedna... nie ma wiec takiej dobrej " dopasywalnosci wersji portów podczas kompilacji

W G też jest teraz tylko jedna:

Kod:

* x11-wm/enlightenment
     Available versions:  (0.17) 0.22.3(0.17/0.22.3) ~0.22.4(0.17/0.22.4)

Reszta odfrunęła do /dev/null z powodu jakichś błędów bezpieczeństwa chyba.

Tak przy okazji, HardenedBSD nie migruje przypadkiem na Waylanda?

Tutaj piszą, że w FBSD prace trwają:
https://www.phoronix.com/scan.php?page=news_item&am … -Availability

Ostatnio edytowany przez Jacekalex (2018-10-05 22:18:33)


W demokracji każdy naród ma taką władzę, na jaką zasługuje ;)
Si vis pacem  para bellum  ;)       |       Pozdrawiam :)

Offline

 

#8 2018-10-05 22:34:11

Yampress
Imperator
Zarejestrowany: 2007-10-18

Re: Jak zmienić GSSAPI

Nio ale zazwyczaj sa inne wersje danegom portu. Mowilem ogolnie, a nie konkretnie o tym porcie
Co do waylanda to zapewne hardenedbsd tez zmigruje jak ppjawi sie we freebsd i bedzie   nie zagrazac
Bezpieczenstwu tego systemu.  Nie uzywam hardened jako desktop.

Offline

 

#9 2018-10-05 22:56:00

Jacekalex
Podobno człowiek...;)
Skąd: /dev/urandom
Zarejestrowany: 2008-01-07

Re: Jak zmienić GSSAPI

Nie zagrażać? jaja sobie robisz?

Kod:

 hardening-check  `which weston`
/usr/bin/weston:
 Position Independent Executable: yes
 Stack protected: yes
 Fortify Source functions: yes
 Read-only relocations: yes
 Immediate binding: yes

Wayland to tylko biblioteka opisująca protokół kompozytora obrazu,
mniej więcej 10-15% długości kodu w porównaniu z Xorgiem.

U mnie weston dostał klateczkę:

Kod:

aastatus weston
/usr/bin/weston-launch (enforce)

i na Nouveau nawet chodzi grzecznie.

Ciekawe tylko, co będzie pierwsze u mnie, pełna obsługa Waylanda w sterze Nvidia,
czy lot przez okno karty Nvidia. xD


W demokracji każdy naród ma taką władzę, na jaką zasługuje ;)
Si vis pacem  para bellum  ;)       |       Pozdrawiam :)

Offline

 

Stopka forum

Powered by PunBB
© Copyright 2002–2005 Rickard Andersson
Nas ludzie lubią po prostu, a nie klikając w przyciski ;-)